## class fltk::LightButton

### Class Hierarchy

    fltk::Button
       |
       +----fltk::LightButton

### Include Files

    #include <fltk/LightButton.h>

### Description

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for `type()` and `when()`.

The `fltk::LightButton` subclass display the "on" state by turning on a light, rather than drawing pushed in. The shape of the "light" is initially set to fltk::DOWN_BOX. The color of the light when on is controlled with `selection_color()`, which defaults to fltk::YELLOW.``

### Methods

- fltk::LightButton
- ~LightButton

#### fltk::LightButton::LightButton(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::LightButton` widget using the given position, size, and label string.

#### fltk::LightButton::~LightButton()

The destructor deletes the check button.